# Noise Thresholds

## The noise\_threshold Object

* [Properties](#properties)
* [Events](#events)
* [Endpoints](#endpoints)

Represents a [noise threshold](https://docs.seam.co/latest/capability-guides/noise-sensors/configure-noise-threshold-settings) for a [noise sensor](https://docs.seam.co/latest/capability-guides/noise-sensors). Thresholds represent the limits of noise tolerated at a property, which can be customized for each hour of the day. Each device has its own default thresholds, but you can use the Seam API to modify them.

{% tabs %}
{% tab title="Noise Threshold" %}
A noise threshold resource.

```json
{
  "device_id": "69b9e908-039b-413a-904e-5edee653ca27",
  "ends_daily_at": "09:00:00[America/Los_Angeles]",
  "name": "My Noise Threshold",
  "noise_threshold_decibels": 21,
  "noise_threshold_id": "f8cef69d-625f-464c-aed4-287c06e0d7fe",
  "noise_threshold_nrs": 5,
  "starts_daily_at": "07:00:00[America/Los_Angeles]"
}
```

{% endtab %}
{% endtabs %}

***

## Properties

**`device_id`** *UUID*

Unique identifier for the device that contains the noise threshold.

***

**`ends_daily_at`** *String*

Time at which the noise threshold should become inactive daily.

***

**`name`** *String*

Name of the noise threshold.

***

**`noise_threshold_decibels`** *Number*

Noise level in decibels for the noise threshold.

***

**`noise_threshold_id`** *UUID*

Unique identifier for the noise threshold.

***

**`noise_threshold_nrs`** *Number*

Noise level in Noiseaware Noise Risk Score (NRS) for the noise threshold. This parameter is only relevant for [Noiseaware sensors](https://docs.seam.co/latest/device-and-system-integration-guides/noiseaware-sensors).

***

**`starts_daily_at`** *String*

Time at which the noise threshold should become active daily.

***

## Events

**`noise_sensor.noise_threshold_triggered`**

Extended periods of noise or noise exceeding a [threshold](https://docs.seam.co/latest/capability-guides/noise-sensors#what-is-a-threshold) were detected.

<details>

<summary>Properties</summary>

**`connected_account_custom_metadata`** *Record*

Custom metadata of the connected account, present when connected\_account\_id is provided.

**`connected_account_id`** *UUID*

ID of the [connected account](https://docs.seam.co/latest/core-concepts/connected-accounts) associated with the event.

**`created_at`** *Datetime*

Date and time at which the event was created.

**`customer_key`** *String*

The customer key associated with the device, if any.

**`device_custom_metadata`** *Record*

Custom metadata of the device, present when device\_id is provided.

**`device_id`** *UUID*

ID of the affected device.

**`event_id`** *UUID*

ID of the event.

**`event_type`** *Enum*

Value: `noise_sensor.noise_threshold_triggered`

**`minut_metadata`** *Record*

Metadata from Minut.

**`noise_level_decibels`** *Number*

Detected noise level in decibels.

**`noise_level_nrs`** *Number*

Detected noise level in Noiseaware Noise Risk Score (NRS).

**`noise_threshold_id`** *UUID*

ID of the noise threshold that was triggered.

**`noise_threshold_name`** *String*

Name of the noise threshold that was triggered.

**`noiseaware_metadata`** *Record*

Metadata from Noiseaware.

**`occurred_at`** *Datetime*

Date and time at which the event occurred.

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) associated with the event.

</details>

***

## Endpoints

[**`/noise_sensors/noise_thresholds/create`**](https://docs.seam.co/latest/api/noise_sensors/noise_thresholds/create)

Creates a new [noise threshold](https://docs.seam.co/latest/capability-guides/noise-sensors/configure-noise-threshold-settings) for a [noise sensor](https://docs.seam.co/latest/capability-guides/noise-sensors). Thresholds represent the limits of noise tolerated at a property, which can be customized for each hour of the day. Each device has its own default thresholds, but you can use the Seam API to modify them.

[**`/noise_sensors/noise_thresholds/delete`**](https://docs.seam.co/latest/api/noise_sensors/noise_thresholds/delete)

Deletes a [noise threshold](https://docs.seam.co/latest/capability-guides/noise-sensors/configure-noise-threshold-settings) from a [noise sensor](https://docs.seam.co/latest/capability-guides/noise-sensors).

[**`/noise_sensors/noise_thresholds/get`**](https://docs.seam.co/latest/api/noise_sensors/noise_thresholds/get)

Returns a specified [noise threshold](https://docs.seam.co/latest/capability-guides/noise-sensors/configure-noise-threshold-settings) for a [noise sensor](https://docs.seam.co/latest/capability-guides/noise-sensors).

[**`/noise_sensors/noise_thresholds/list`**](https://docs.seam.co/latest/api/noise_sensors/noise_thresholds/list)

Returns a list of all [noise thresholds](https://docs.seam.co/latest/capability-guides/noise-sensors/configure-noise-threshold-settings) for a [noise sensor](https://docs.seam.co/latest/capability-guides/noise-sensors).

[**`/noise_sensors/noise_thresholds/update`**](https://docs.seam.co/latest/api/noise_sensors/noise_thresholds/update)

Updates a [noise threshold](https://docs.seam.co/latest/capability-guides/noise-sensors/configure-noise-threshold-settings) for a [noise sensor](https://docs.seam.co/latest/capability-guides/noise-sensors).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/noise_sensors/noise_thresholds.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
